Package org.springframework.context.aot

# Class AbstractAotProcessor.Settings.Builder

java.lang.Object
org.springframework.context.aot.AbstractAotProcessor.Settings.Builder

Enclosing class:
  AbstractAotProcessor.Settings

public static final class AbstractAotProcessor.Settings.Builder extends Object
Fluent builder API for `AbstractAotProcessor.Settings`.

## Method Summary

Modifier and Type
Method
Description
`AbstractAotProcessor.Settings.Builder`
`artifactId(String artifactId)`
Set the artifact ID of the application.
`AbstractAotProcessor.Settings`
`build()`
Build the `AbstractAotProcessor.Settings` configured in this `Builder`.
`AbstractAotProcessor.Settings.Builder`
`classOutput(Path classOutput)`
Set the output directory for generated classes.
`AbstractAotProcessor.Settings.Builder`
`groupId(String groupId)`
Set the group ID of the application.
`AbstractAotProcessor.Settings.Builder`
`resourceOutput(Path resourceOutput)`
Set the output directory for generated resources.
`AbstractAotProcessor.Settings.Builder`
`sourceOutput(Path sourceOutput)`
Set the output directory for generated sources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### sourceOutput

public AbstractAotProcessor.Settings.Builder sourceOutput(Path sourceOutput)
Set the output directory for generated sources.

Parameters:
  `sourceOutput` - the location of generated sources
Returns:
  this builder for method chaining

### resourceOutput

public AbstractAotProcessor.Settings.Builder resourceOutput(Path resourceOutput)
Set the output directory for generated resources.

Parameters:
  `resourceOutput` - the location of generated resources
Returns:
  this builder for method chaining

### classOutput

public AbstractAotProcessor.Settings.Builder classOutput(Path classOutput)
Set the output directory for generated classes.

Parameters:
  `classOutput` - the location of generated classes
Returns:
  this builder for method chaining

### groupId

public AbstractAotProcessor.Settings.Builder groupId(String groupId)
Set the group ID of the application.

Parameters:
  `groupId` - the group ID of the application, used to locate `native-image.properties`
Returns:
  this builder for method chaining

### artifactId

public AbstractAotProcessor.Settings.Builder artifactId(String artifactId)
Set the artifact ID of the application.

Parameters:
  `artifactId` - the artifact ID of the application, used to locate `native-image.properties`
Returns:
  this builder for method chaining

### build

public AbstractAotProcessor.Settings build()
Build the `AbstractAotProcessor.Settings` configured in this `Builder`.